serial.h File Reference
Utility functions to deal with serial ports

Osmocom serial port helpers. More...

`#include <termios.h>`

Go to the source code of this file.

## Functions

int | osmo_serial_init (const char *dev, speed_t baudrate)
| Open serial device and does base init. More...
int | osmo_serial_set_baudrate (int fd, speed_t baudrate)
| Change current baudrate. More...
int | osmo_serial_set_custom_baudrate (int fd, int baudrate)
| Change current baudrate to a custom one using OS specific method. More...
int | osmo_serial_clear_custom_baudrate (int fd)
| Clear any custom baudrate. More...
int | osmo_serial_speed_t (unsigned int baudrate, speed_t *speed)
| Convert unsigned integer value to speed_t. More...

## Detailed Description

Osmocom serial port helpers.